/*
 * DHT11 温湿度センダー
 * 
 */

#ifndef DHT11_H
#define DHT11_H
#include <arduino.h>

// ----- Senser Data
typedef struct dht11_s {
  int8_t humidityN ;   // 湿度の整数部
  int8_t humidityD ;   // 湿度の小数部 ※は常に0
  int8_t temperatureN; // 温度の整数部
  int8_t temperatureD; // 温度の小数部
} dht11_t ;

class DHT11
{
  private:
    dht11_t dht11 ; // センサー読み取り値

  public:
    void init(); // 初期化
    bool readDTH11() ; // 温湿度読み取り
    int8_t getHumidityN() { return dht11.humidityN ; }
    int8_t getTemperatureN() { return dht11.temperatureN ; }
    int8_t getTemperatureD() { return dht11.temperatureD ; }
} ;


#endif
