/*
 * LPS25HB 気圧センサー
 * 
 */

#ifndef LPS25HB_H
#define LPS25HB_H

// ----- Senser Data
typedef struct LPS25HB_s {
  uint32_t pressure ;     // 気圧
  float    temperature ;  // 気温
} LPS25HB_t ;

class LPS25HB
{
  private:
    LPS25HB_t lps25hb ; // センサー読み取り値

  public:
    bool init(); // 初期化
    bool readLPS25HB() ; // 温湿度読み取り
    uint32_t getPressure() { return lps25hb.pressure ; }
    float getTemperature() { return lps25hb.temperature ; }
    uint8_t getTemperatureN() { return (uint8_t)lps25hb.temperature ; }
    uint8_t getTemperatureD() { return (uint8_t)((unsigned int)(lps25hb.temperature * 10 ) % 10) ; }

  private:
    uint8_t readLPS(uint8_t addr) ;
    uint8_t readLPSBuff(uint8_t addr,int readLen, uint8_t *i2cBuff) ;
    void sendLPS(uint8_t addr , uint8_t command) ;
} ;

#endif
